Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

Howto: Upgrade from older installation (XP)

Help
2009-03-31
2012-09-17
  • networkgeek
    networkgeek
    2009-03-31

    I have Windows XP Pro SP3 with Password Safe 3.15.01 installed. I want to upgrade the application to version 3.16.2Y. I figured one of the best ways was to uninstall the existing version before installing the new version. I did not see any normal uninstall methods ("Control Panel > Add/Remove Programs" or an uninstaller in the Start menu), so checked the documentation and did not see anything obvious there.

    Now, I am asking for your help, Rony.

    I think this would be a good feature for enterprise operations, anyway.

    Thanks,

    Chris

     
    • Microbarny
      Microbarny
      2009-05-08

      When I try to update from an earlier version to 3.17 I get an error message: "Error opening file for writing" I removed all Password Safe files from my C: Drive (only two won't remove - an app file and an Uninstall file.

      When I "Ignore" the message the installation completes but the application doesn't load.

      What should I do?

      Thanks for the advice.

       
    • fernando
      fernando
      2009-03-31

      > uninstall the existing version
      > before installing the new version.

      there is no "uninstall";
      simply delete pwsafe files.

      > upgrade the application

      extract new, overwriting old.
      no need to do "uninstall".

      f.

       
    • Dunno if it's related but today I downloaded 3.17 for windows in the .msi form and upon trying to install I got an error saying "A previous version is installed, go to the control panel and uninstall the previous version". After uninstalling the older version the new installer ran just fine.

      Cheers

      Bob